package Service;

import Interface.refreshInterFace;
import android.app.Application;
import android.content.Context;
import dao.dataDao;
import util.APKVersionCodeUtils;

public class refresh implements refreshInterFace {
    //version1大返回一个正数，小返回一个负数，相等返回0
    public static int compareVersion(String version1, String version2) throws Exception {
        if (version1 == null || version2 == null) {
            throw new Exception("compareVersion error:illegal params.");
        }
        String[] versionArray1 = version1.split("\\.");
        String[] versionArray2 = version2.split("\\.");
        int idx = 0;
        int minLength = Math.min(versionArray1.length, versionArray2.length);
        int diff = 0;
        while (idx < minLength
                && (diff = versionArray1[idx].length() - versionArray2[idx].length()) == 0
                && (diff = versionArray1[idx].compareTo(versionArray2[idx])) == 0) {
            ++idx;
        }
        //如果已经分出大小，则直接返回，如果未分出大小，则再比较位数，有子版本的为大；
        diff = (diff != 0) ? diff : versionArray1.length - versionArray2.length;
        return diff;
    }

    Application application = new Application();
    Context ass = application.getApplicationContext();
    String oldVersion = APKVersionCodeUtils.getVerName(ass);
    String newVersion = dataDao.getNewVersion();

    @Override
    public boolean new_version() throws Exception {
        if (compareVersion(oldVersion, newVersion) < 0){
            return true;
        }
            return false;
    }
}
